mbed TLS v2.14.1

Data Fields
mbedtls_x509write_csr Struct Reference
X.509 module

`#include <x509_csr.h>`

Collaboration diagram for mbedtls_x509write_csr:
[legend]

## Data Fields
mbedtls_pk_context * | key
mbedtls_asn1_named_data * | subject
mbedtls_md_type_t | md_alg
mbedtls_asn1_named_data * | extensions

## Detailed Description

Container for writing a CSR

Definition at line 74 of file x509_csr.h.

## Field Documentation

## ◆ extensions

mbedtls_asn1_named_data* mbedtls_x509write_csr::extensions

Definition at line 79 of file x509_csr.h.

## ◆ key

mbedtls_pk_context* mbedtls_x509write_csr::key

Definition at line 76 of file x509_csr.h.

## ◆ md_alg

mbedtls_md_type_t mbedtls_x509write_csr::md_alg

Definition at line 78 of file x509_csr.h.

## ◆ subject

mbedtls_asn1_named_data* mbedtls_x509write_csr::subject

Definition at line 77 of file x509_csr.h.

The documentation for this struct was generated from the following file:

- x509_csr.h